### Method

# WebKit2 NavigationPolicyDecision get_frame_name

deprecated: 2.40

#### Declaration [src]

    const gchar*
    webkit_navigation_policy_decision_get_frame_name (
      WebKitNavigationPolicyDecision* decision
    )

#### Description [src]

Gets the value of the `WebKitNavigationPolicyDecision:frame-name` property.

Deprecated since: 2.40

Use `webkit_navigation_policy_decision_get_navigation_action()` instead.

Gets property | `WebKit2.NavigationPolicyDecision:frame-name`

#### Return value

Type: `const gchar*`

The name of the new frame this navigation action targets or `NULL`.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.